﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Esmf
{
    public static class Dimension<T>
    {
        private static Lazy<T[]> _values;

        static Dimension()
        {
            if (!typeof(T).IsEnum)
            {
                throw new InvalidOperationException("Dimension class works only for enums right now");
            }

            _values = new Lazy<T[]>(() =>
            {
                return (T[]) Enum.GetValues(typeof(T));
            });
        }

        public static T[] Values
        {
            get
            {
                return _values.Value;
            }
        }
    }
}
