﻿// Climate Framework for Uncertainty, Negotiation and Distribution
// Version 3.6
// (c) David Anthoff and Richard S.J. Tol
// http://www.fund-model.org
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using Esmf;
using Fund.CommonDimensions;

namespace Fund
{
    public class Playground
    {
        public void Run()
        {
            // Load parameters
            var parameters = new Parameters();
            parameters.ReadExcelFile(@"Data\Parameter - base.xlsm");

            // Get best guess parameter values
            var parameterValues = parameters.GetBestGuess();

            // Create a new model that inits itself from the parameters just loaded
            var model = new FundWorkflow(parameterValues);

            // Run the model
            model.Run();

            // Write income per capita to a text file
            // OutputHelper.WriteParameterToFile(model.SocioEconomicState.ypc,@"Data\Output - ypc.csv");

            // Plot temperature to a file
            // OutputHelper.PlotParameterToFile(model.ClimateState.temp, @"Data\Output - temperature.png");

            // Display all variables in interactive window
            OutputHelper.ShowModel(model.ModelFields);
        }

    }
}